package imageOperations;

import operations.Operation;

public class SetMinAndMaxDisplayOperation extends Operation {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3681353796941618064L;

	/**
	 * @throws ClassNotFoundException
	 *  
	 */
	protected void initialize() throws ClassNotFoundException {
		super.initialize();
		// Set parameterTypes, parameterNames and resultType
		parameterTypes = new Class[1];
		parameterTypes[0] = Class.forName("ij.ImagePlus");
		parameterNames = new String[1];
		parameterNames[0] = "InputImage";
		resultTypes = new Class[1];
		resultTypes[0] = Class.forName("ij.ImagePlus");
		resultNames = new String[1];
		resultNames[0] = "Result";
	}
	
	
	public SetMinAndMaxDisplayOperation() {
		super();
	}
	
	public void doIt() {
		this.getInputImage().getProcessor().setMinAndMax(0, 65535);
	}

}
