package stackRegistration;

import java.util.Observable;
import java.util.Vector;

public class ObjectArithmetic extends Observable {
	protected Object3D object1;
	protected Object3D object2;
	protected String operand;
	protected int[] slices;
	protected Object3DManager model;
	
	public void show() {
		(new ObjectArithmeticView(this)).setVisible(true);
	}
	public Object3DManager getModel() {
		return model;
	}
	public void setModel(Object3DManager model) {
		this.model = model;
	}
	public Object3D getObject1() {
		return object1;
	}
	public void setObject1(Object3D object1) {
		this.object1 = object1;
	}
	public Object3D getObject2() {
		return object2;
	}
	public void setObject2(Object3D object2) {
		this.object2 = object2;
	}
	public String getOperand() {
		return operand;
	}
	public void setOperand(String operand) {
		this.operand = operand;
	}
	public int[] getSlices() {
		slices = model.model.view.getSelectionIndices();
		return slices;
	}
	public void setSlices(int[] slices) {
		this.slices = slices;
	}
	public String[] getOperators() {
		String[] operators = {"add (a or b)", "subtract (a and not(b))"};
		return operators;
	}
	
	public Vector getOperands() {
		return model.getObjectNames();
	}
	public void applyOperation(int operand1Index, String operator, int operand2Index) {
		Object3D object1 = (Object3D) model.getObjects().elementAt(operand1Index);
		Object3D object2 = (Object3D) model.getObjects().elementAt(operand2Index);
		if (operator.contains("subtract")) {
			object1.subtract(object2, this.getSlices());
		}
		if (operator.contains("add")) {
			object1.add(object2, this.getSlices());
		}
		model.changed("selections");
		model.model.changed("showObjects");
		model.model.changed("display");
	}
}
