import ij.IJ;
import ij.ImageJ;
import ij.plugin.PlugIn;
import imagejProxies.MRIJava2;

public class MRI_VisualScripting implements PlugIn {
	protected MRIVisualScriptingView view;
	
	public void run(String arg) {
		MRIJava2.setLookAndFeelSet(true);
		view = new MRIVisualScriptingView();
		view.setVisible(true);
	}
	
	public static void main(String[] args) {
		new ImageJ();
		IJ.getInstance().setVisible(true);
		(new MRI_VisualScripting()).run("");
	}

}
