package controlOperations;

import java.util.Vector;

import sun.awt.shell.ShellFolder;

public class GetImageListOperation extends ForeachImageInListDoOperation {
	protected String filename;
	/**
	 * 
	 */
	private static final long serialVersionUID = 839373886566497170L;
	
	protected void initialize() throws ClassNotFoundException {
		super.initialize();
		parameterTypes = new Class[0];
		parameterNames = new String[0];
		optionsNames = new String[2];
		optionsNames[0] = "image list";
		optionsNames[1] = "use sequence opener";
		resultTypes = new Class[2];
		resultTypes[0] = Class.forName("java.util.Vector");
		resultTypes[1] = Class.forName("java.lang.String");
		resultNames = new String[2];
		resultNames[0] = "ImageList";
		resultNames[1] = "Filename";
	}
	
	public void doIt() {
		filename = ((ShellFolder)(this.getImageList().elementAt(0))).getAbsolutePath();
	}

	/**
	 * @return
	 */
	public boolean isLoop() {
		return false;
	}
	
	public void setImageList(Vector list) {
		// noop
	}

	public String getFilename() {
		return filename;
	}

	public void setFilename(String filename) {
		this.filename = filename;
	}
	
}
