package gui;

import java.util.Observable;
import java.util.Vector;

public class MultiChannelListEditor extends Observable {
	private MultiChannelListEditorView view;
	protected int numberOfChannels = 2;
	protected Vector channels;

	public void show() {
		this.getView().setVisible(true);
	}

	public MultiChannelListEditorView getView() {
		if (this.view==null) this.view = new MultiChannelListEditorView(this);
		return view;
	}

	public int getNumberOfChannels() {
		return numberOfChannels;
	}

	public void setNumberOfChannels(int numberOfChannels) {
		this.numberOfChannels = numberOfChannels;
	}
}
